Omniplex Docs
PopplioProduction

Blog

These API endpoints are related to blog posts on our list.

GET
/blogs/@all

Get Blog List

Gets all blog posts on the list in condensed form

/blogs/@all
curl -X GET "https://spider.omniplex.gg/blogs/@all"

Success

{
  "posts": [
    {
      "author": {
        "avatar": "string",
        "bot": true,
        "display_name": "string",
        "extra_data": {
          "property1": null,
          "property2": null
        },
        "flags": [
          "string"
        ],
        "id": "string",
        "status": "string",
        "username": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "description": "string",
      "draft": true,
      "slug": "string",
      "tags": [
        "string"
      ],
      "title": "string"
    }
  ]
}

GET
/blogs/{slug}

Get Blog Post

Gets a blog posts on the list

/blogs/{slug}

Path Parameters

slug
Required
string

The slug of the blog post

curl -X GET "https://spider.omniplex.gg/blogs/string"

Success

{
  "author": {
    "avatar": "string",
    "bot": true,
    "display_name": "string",
    "extra_data": {
      "property1": null,
      "property2": null
    },
    "flags": [
      "string"
    ],
    "id": "string",
    "status": "string",
    "username": "string"
  },
  "content": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "description": "string",
  "draft": true,
  "slug": "string",
  "tags": [
    "string"
  ],
  "title": "string"
}

GET
/blogs/{slug}/seo

Get Blog Post

Gets the minimal SEO information about a blogpost for embed/search purposes. Used by v4 website for meta tags

/blogs/{slug}/seo

Path Parameters

slug
Required
string

The slug of the blog post

curl -X GET "https://spider.omniplex.gg/blogs/string/seo"

Success

{
  "avatar": "string",
  "id": "string",
  "name": "string",
  "short": "string"
}